%define _oldname browser-bookmarks-menu
%define _name gnome-browser-bookmarks

Name: gnome-applets-extra-bookmarks
Version: 0.5
Release: alt1.1

Summary: Browser bookmarks menu for GNOME panel
Summary (ru_RU.KOI8-R):       GNOME
Group: Graphical desktop/GNOME
License: GPL
Url: http://browserbookapp.sourceforge.net/

Source: %url/%_oldname-%version.tar.gz
Patch1: %name-0.4-alt-ignore-ext-entities.patch
Patch2: %name-0.4-alt-fix-browser-invocation.patch
#Patch3: %name-%version-alt-fix-print-bookmarks.patch

BuildArch: noarch

Requires: gnome-desktop
Requires: python-module-pygtk >= 2.6
Requires: python-module-pygnome python-module-pygnome-applet
Requires: python-module-pygnome-bonobo python-module-pygnome-gconf

%description
Browser bookmarks one click off your panel.

%description -l ru_RU.KOI8-R
      GNOME.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_oldname-%version
%patch1
%patch2
#%patch3
%__subst "s|/usr/lib/%_oldname/%_oldname\.py|%_libexecdir/%_name\.py|" *.server
%__subst "s|/usr/share/pixmaps/epiphany-bookmarks.png|%_datadir/pixmaps/gnome-html.png|" *
%__mv -f LICENCE LICENSE

%install
%__install -pD -m755 %_oldname.py %buildroot%_libexecdir/%_name.py
%__install -pD -m644 BrowserBookmarksMenu.server %buildroot%_libdir/bonobo/servers/BrowserBookmarksMenu.server

%files
%_libexecdir/*
%_libdir/bonobo/servers/*
%doc LICENSE README CHANGELOG

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.5-alt1.1
- Rebuilt with python-2.5.

* Sat Apr 23 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.5-alt1
- New upstream version.

* Fri Feb 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.4-alt1
- Initial Sisyphus package.

